/* Support for all calendar displays on Renbrook - based on FullCalendar 
    https://fullcalendar.io/docs/css-customization 

    Note article references setting css variables using

    :root {
        --fc-border-color: black;
        --fc-daygrid-event-dot-width: 5px;
    }

    it would be better to use 
    #calendar {
        --fc-border-color: black;
        --fc-daygrid-event-dot-width: 5px;
    }
*/

#calendar {
  margin: 0 auto;
}#calendar .fc-dayGridMonth-view .details {
  display: none;
}

#calendar.fc .fc-daygrid-day-top { background-color: #f9eed3 }
#calendar.fc .fc-day-today .fc-daygrid-day-top { background-color: #b8d388 }
#calendar.fc .fc-daygrid-day.fc-day-today{ background-color: white }
#calendar.fc .fc-col-header thead { background-color: #00538a}
#calendar.fc .fc-col-header-cell { padding: 6px; }
#calendar.fc .fc-col-header a { color: white; text-decoration: none }

.fc .fc-button-primary:disabled, .fc .fc-button-primary {
    background-color: #fff;
    border-color: #002D56;
    color: #002D56;
    border-radius: 0;
}

.fc .fc-button-primary:not(:disabled).fc-button-active, .fc .fc-button-primary:not(:disabled):active {
    background-color: #002D56;
    border-color: #002D56;
    color: #fff;
}

.fc .fc-button {
    padding: 5px 15px;
    font-size: 16px;
}
.fc-event-time {
    font-size: 14px;
}

.fc-daygrid-dot-event .fc-event-title {
    flex-grow: 1;
    flex-shrink: 1;
    font-weight: 400;
    min-width: 0;
    overflow: scroll;
    font-size: 14px;
}

.fc-event-main .fc-event-time {
    display: none;
}
#calendar.fc .hide-this-event {
  display: none;
}

#calendar.fc a:hover {
    color: #002D56!important;
}

.fc-daygrid-event {
    border-radius: 3px;
    font-size: 12px;
    position: relative;
    white-space: nowrap;
}

.fc-h-event .fc-event-title {
    display: inline-block;
    left: 0;
    max-width: 100%;
    overflow: scroll;
    right: 0;
    vertical-align: top;
}
.fc-event-title i {
  padding-left: 0.25rem;
}

a.fc-event {
  text-decoration: none;
}
.fc-list-event-title a.alumni-event-link {text-decoration: underline}

/**
 * Clean up display of overflowing event titles
 * https://stackoverflow.com/questions/68553824/wrap-titles-in-fullcalendar-v5
 */
.fc-daygrid-event {
  white-space: normal !important;
  align-items: normal !important;
}

.fc-daygrid-event {
  display: block !important;
  padding-left: 15px !important;
}
.fc-daygrid-event-dot {
  display: inline-flex;
  position: absolute;
  left: 0px;
  top: 6px;
}
.fc-event-time,
.fc-event-title {
  display: inline;
}
.fc-daygrid-day {
  overflow: hidden;
}

/**
 * Tooltip theme
 */
.tippy-box[data-theme~="renbrook"] {
  background-color: #d8e9f7;
  color: #002d56;
}
.tippy-box[data-theme~="renbrook"] a {
  text-decoration: underline;
}

.tippy-box[data-theme~="renbrook"][data-placement^="top"]
  > .tippy-arrow::before {
  border-top-color: #d8e9f7;
}
.tippy-box[data-theme~="renbrook"][data-placement^="bottom"]
  > .tippy-arrow::before {
  border-bottom-color: #d8e9f7;
}
.tippy-box[data-theme~="renbrook"][data-placement^="left"]
  > .tippy-arrow::before {
  border-left-color: #d8e9f7;
}
.tippy-box[data-theme~="renbrook"][data-placement^="right"]
  > .tippy-arrow::before {
  border-right-color: #d8e9f7;
}
